<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddWaybillUnit extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('waybills',function (Blueprint $table){
            $table->decimal('warehouse_weight_other')->nullable()->comment('仓库计数二');
            $table->bigInteger('warehouse_weight_unit_id_other')->nullable()->index()->comment('仓库计数单位二');
            $table->decimal('carrier_weight_other')->nullable()->comment('承运商计数二');
            $table->bigInteger('carrier_weight_unit_id_other')->nullable()->index()->comment('承运商计数单位二');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('waybills', function (Blueprint $table) {
            $table->dropColumn('warehouse_weight_other');
            $table->dropColumn('warehouse_weight_unit_id_other');
            $table->dropColumn('carrier_weight_other');
            $table->dropColumn('carrier_weight_unit_id_other');
        });
    }
}
